Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager.propertysets
Class PropertyDefinitionImpl

    java.lang.Object
      com.bea.p13n.property.AbstractPropertyDefinition
          com.bea.content.manager.propertysets.PropertyDefinitionImpl

All Implemented Interfaces:
  PropertyDefinition, Serializable

public class PropertyDefinitionImpl
extends AbstractPropertyDefinition

PropertyDefinitionImpl.java

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.bea.p13n.property.PropertyDefinition
`BOOLEAN, DATETIME, FLOAT, INTEGER, TEXT, USER_DEFINED`

Constructor Summary
`PropertyDefinitionImpl(String description, int type, boolean multiValued, boolean restricted, Collection restrictedValues, Object defValue)` Constructor.

Methods inherited from class com.bea.p13n.property.AbstractPropertyDefinition
`compareTo, determinePropertyType, equals, getDefaultValue, getDescription, getRestrictedValues, getType, hashCode, isMultiValued, isRestricted, setDefaultValue, setDescription, setMultiValued, setRestricted, setRestrictedValues, setType, toString, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyDefinitionImpl

    public PropertyDefinitionImpl(String description,
                                  int type,
                                  boolean multiValued,
                                  boolean restricted,
                                  Collection restrictedValues,
                                  Object defValue)

  Constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved